package org.deephacks.tools4j.config.model;

import com.google.common.base.Strings;

public class Criteria {
    private String propertyName;
    private String schemaName;
    private String beanId;

    private int first;
    private int maxResults;

    public Criteria(int first, int maxResults) {
        this.first = first;
        this.maxResults = maxResults;
    }

    public void query(String propertyName, String schemaName, String beanId) {
        this.propertyName = propertyName;
        this.schemaName = schemaName;
        this.beanId = beanId;
    }

    public boolean isSingleSchema() {
        if (Strings.isNullOrEmpty(schemaName)) {
            return true;
        }
        return false;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public String getBeanId() {
        return beanId;
    }

    public void setBeanId(String beanId) {
        this.beanId = beanId;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public int getFirst() {
        return first;
    }

    public void setFirst(int first) {
        this.first = first;
    }

    public int getMaxResults() {
        return maxResults;
    }

    public void setMaxResults(int maxResults) {
        this.maxResults = maxResults;
    }

}
